import { OnInit, ElementRef } from '@angular/core';
import { FormGroup } from "@angular/forms";
import 'rxjs/add/operator/map';
import { CalculationUiDescriptionV0, Parameter, Group } from "app/core/models/V0/UiDescription";
import { CalculationUiDescriptionV1, Control } from "app/core/models/V1/UiDescription";
import { DataStorageService } from "app/core/services/data-storage.service";
import { RequestService } from "app/core/services/request.service";
export declare class CalculationComponent implements OnInit {
    private elementRef;
    private dataStorageService;
    private requestService;
    calculationUiDescriptionV1: CalculationUiDescriptionV1;
    calculationUiDescriptionV0: CalculationUiDescriptionV0;
    form: FormGroup;
    v0Tabs: Group[];
    constructor(elementRef: ElementRef, dataStorageService: DataStorageService, requestService: RequestService);
    ngOnInit(): void;
    readonly apiVersion: string;
    LoadUI(): void;
    addControlV1(control: Control): void;
    addControlV0(control: Parameter): void;
    processFincaResponseV0(res: any): void;
    processFincaResponseV1(res: any): void;
    asArray(value: any): any;
}
