export declare class Control {
    IsLastInRow: boolean;
    IsRequestParam: boolean;
    ReadOnly: boolean;
    Type: string;
    Value: string;
    AutoRecalculate: boolean;
    CustomControlType: string;
    DataType: string;
    DataValues: Object;
    Alignment: string;
    Id: string;
    IsInsideHeadline: boolean;
    Size: number;
    InitialState: string;
    Messages: Message[];
}
export declare class Row {
    Controls: Control[];
    IsInsideHeadline: boolean;
    Size: number;
    InitialState: string;
}
export declare class PanelBodyControlGroup {
    IsDiscountGroup: boolean;
    Rows: Row[];
    IsInsideHeadline: string;
    Label: string;
    Name: string;
    Size: string;
    InitialState: string;
}
export declare class PanelHeadlineControlGroups {
    IsDiscountGroup: boolean;
    Rows: Row[];
    IsInsideHeadline: string;
    Name: string;
    Size: string;
    InitialState: string;
}
export declare class Panel {
    PanelBodyControlGroups: PanelBodyControlGroup[];
    PanelHeadlineControlGroups: PanelHeadlineControlGroups[];
    IsInsideHeadline: string;
    Name: string;
    Size: string;
    InitialState: string;
}
export declare class Column {
    Panels: Panel[];
    IsInsideHeadline: string;
    Size: string;
    InitialState: string;
}
export declare class Tab {
    Columns: Column[];
    IsInsideHeadline: string;
    Label: string;
    Name: string;
    Size: string;
    InitialState: string;
    AdditionalMessages: Message[];
}
export declare class Message {
    Message: string;
    ReferenceId: string;
    Severity: string;
}
export declare class CalculationUiDescriptionV1 {
    Tabs: Tab[];
    Messages: Message[];
}
export declare class ProductsDescriptionV1 {
    FincaProductsUiDescription: Products;
}
export declare class Products {
    ProductSetId: string;
    IsDisabled: boolean;
    Title: string;
    SalesProductId: string;
    Products: [Products];
}
