export declare class FincaRequest implements IJson {
    name: string;
    application: string;
    brand: string;
    productSet: string;
    TransactionId: string;
    culture: string;
    Dealer: RequestDealer;
    DefaultSettings: RequestDefaultSettings;
    Product: any;
    Persons: RequestPerson[];
    Vehicles: RequestVehicle[];
    constructor();
    toJson(): {};
}
export interface IJson {
    toJson(): any;
}
export declare class RequestBase implements IJson {
    Value: RequestValue[];
    constructor();
    Add(id: string, value: string): void;
    AddObject(object: object): void;
    toJson(): any;
    private getPropertyNamesViaRefection(object);
}
export declare class RequestDealer extends RequestBase {
    constructor();
}
export declare class RequestPerson extends RequestBase implements IJson {
    personType: string;
    constructor(personType: string);
    toJson(): any;
}
export declare class RequestVehicle extends RequestBase implements IJson {
    vehicleType: string;
    equipments: VehicleEquipment[];
    constructor(vehicleType: string);
    toJson(): any;
}
export declare class VehicleEquipment implements IJson {
    equipmentType: string;
    Equipment: {
        ID: string;
        Value: string;
    };
    constructor(type: string, id: string, value: string);
    toJson(): any;
}
export declare class RequestDefaultSettings extends RequestBase {
    constructor();
}
export declare class RequestValue implements IJson {
    Id: string;
    value: string;
    constructor(id: string, value: string);
    toJson(): {
        "@ID": string;
        "@Value": string;
    };
}
