import { FdsDealer } from "app/core/models/base/Dealer";
import { FdsPerson } from "app/core/models/base/Person";
import { FdsVehicle } from "app/core/models/base/Vehicle";
import { CalculationUiDescriptionV0 } from "app/core/models/V0/UiDescription";
import { CalculationUiDescriptionV1, ProductsDescriptionV1 } from "app/core/models/V1/UiDescription";
import { Products } from "app/core/models/base/Products";
import { Subject } from "rxjs/Subject";
import { FincaApiService } from "app/core/services/fincaapi.service";
import { RequestService } from "app/core/services/request.service";
import { FincaRequest } from "app/core/models/base/FincaRequest";
import { MockDataService } from "app/core/services/mockdata.service";
import { FileUploadEventArgs } from "app/core/models/base/FileUploadEventArgs";
export declare class DataStorageService {
    private fincaApiService;
    private requestService;
    private mockDataService;
    private dealer;
    private customer;
    private productPolicyHolder;
    private vehicle;
    private calculationResponseV0;
    private calculationResponseV1;
    private products;
    private requestBase;
    Products: Subject<Products>;
    Dealer: Subject<FdsDealer>;
    Customer: Subject<FdsPerson>;
    ProductPolicsHolder: Subject<FdsPerson>;
    Vehicle: Subject<FdsVehicle>;
    CalculationResponseV0: Subject<CalculationUiDescriptionV0>;
    CalculationResponseV1: Subject<CalculationUiDescriptionV1>;
    ApiVersion: string;
    constructor(fincaApiService: FincaApiService, requestService: RequestService, mockDataService: MockDataService);
    setRequiredData(application: string, brand: string, productSetId: string, productId: string): void;
    setDealer(dealer: FdsDealer): void;
    setCustomer(customer: FdsPerson): void;
    setProductPolicyHolder(productPolicyHolder: FdsPerson): void;
    setVehicle(vehicle: FdsVehicle): void;
    setProducts(products: Products): void;
    setCalculationV0(calc: CalculationUiDescriptionV0): void;
    setCalculationV1(calc: CalculationUiDescriptionV1): void;
    getProducts(): void;
    getCalculation(): void;
    getDealer(): void;
    getCustomer(): void;
    getProductPolicyHolder(): void;
    getVehicle(): void;
    clearData(): void;
    callFincaApi(method: string): void;
    buildRequest(method?: string): FincaRequest;
    saveCurrentRequest(): void;
    callFincaApiFromUploadedFile(fileUploadEventArgs: FileUploadEventArgs): void;
    callMockDataCalculation(method: string): void;
    isNullOrDefined: (object: Object) => boolean;
    private setItem(objectName, jsonObject);
    private getItem(objectName);
    convertResponse(result: object, method: string): void;
    convertV0Response(result: CalculationUiDescriptionV0): void;
    convertV1ProductsResponse(result: ProductsDescriptionV1): void;
    iterateObject(object: object): object;
}
