import { Component, NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { HttpModule } from '@angular/http';
import { RouterModule } from '@angular/router';
import { FDSCalculatorModule } from 'app/core/fds-ui-calculator.module';
import { NgbModule } from '@ng-bootstrap/ng-bootstrap/index';
import { DealerComponent } from 'app/core/components/dealer/dealer.component';
import { VehicleComponent } from 'app/core/components/vehicle/vehicle.component';
import { CustomerComponent } from 'app/core/components/customer/customer.component';
import { ProductpolicyholderComponent } from 'app/core/components/productpolicyholder/productpolicyholder.component';
import { DefaultsettingsComponent } from 'app/core/components/defaultsettings/defaultsettings.component';
import { CalculationComponent } from 'app/core/components/calculation/calculation.component';

var AppComponent = (function () {
    function AppComponent() {
    }
    /**
     * @return {?}
     */
    AppComponent.prototype.ngOnInit = function () {
    };
    return AppComponent;
}());
AppComponent.decorators = [
    { type: Component, args: [{
                selector: 'app-root',
                template: "<header></header> <app-header></app-header> <section> <router-outlet></router-outlet> </section> <footer> <app-footer></app-footer> </footer>",
                styles: [""]
            },] },
];
/**
 * @nocollapse
 */
AppComponent.ctorParameters = function () { return []; };

var appRoutes = [
    { path: '', redirectTo: '/dealer', pathMatch: 'full' },
    { path: 'dealer', component: DealerComponent },
    { path: 'vehicle', component: VehicleComponent },
    { path: 'customer', component: CustomerComponent },
    { path: 'productpolicyholder', component: ProductpolicyholderComponent },
    { path: 'defaultsettings', component: DefaultsettingsComponent },
    { path: 'calculation',
        component: CalculationComponent,
    }
];

var FDSCalc = (function () {
    function FDSCalc() {
    }
    /**
     * @return {?}
     */
    FDSCalc.forRoot = function () {
        return {
            ngModule: FDSCalc
        };
    };
    return FDSCalc;
}());
FDSCalc.decorators = [
    { type: NgModule, args: [{
                declarations: [
                    AppComponent
                ],
                imports: [
                    BrowserModule,
                    HttpModule,
                    FormsModule,
                    ReactiveFormsModule,
                    FDSCalculatorModule,
                    RouterModule.forRoot(appRoutes),
                    NgbModule.forRoot()
                ],
                providers: [],
                bootstrap: [AppComponent]
            },] },
];
/**
 * @nocollapse
 */
FDSCalc.ctorParameters = function () { return []; };

export { FDSCalc };
